Skip to main content
PATCH
/
browser
/
update_ua_to_new_browser_v
Update user agent of profile
curl --request PATCH \
  --url https://api.gologin.com/browser/update_ua_to_new_browser_v \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "browserIds": [
    "6200f55e7685342e170dc531"
  ],
  "updateUaToNewBrowserV": true,
  "updateAllProfiles": true
}
'
import requests

url = "https://api.gologin.com/browser/update_ua_to_new_browser_v"

payload = {
"browserIds": ["6200f55e7685342e170dc531"],
"updateUaToNewBrowserV": True,
"updateAllProfiles": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
browserIds: ['6200f55e7685342e170dc531'],
updateUaToNewBrowserV: true,
updateAllProfiles: true
})
};

fetch('https://api.gologin.com/browser/update_ua_to_new_browser_v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

currentWorkspace
string

Body

application/json
browserIds
string[]
required

Profile IDs that you want to update.

Example:
["6200f55e7685342e170dc531"]
updateUaToNewBrowserV
boolean

Should be always true.

Example:

true

updateAllProfiles
boolean

If true - updates all profiles that belongs to user.

Example:

true

Response

200 - undefined